# removeSubNode

suspend fun < T > SortedBinaryTreeNode < T >. removeSubNode (data: T ): Pair < SortedBinaryTreeNode < T >, SortedBinaryTreeNode < T >>?(source)

Will remove (detach) node from tree starting with this

#### Return

If data were found, Pair where Pair.first is the parent node where from Pair.second has been detached; null otherwise

suspend fun < K , V > SortedMapLikeBinaryTreeNode < K , V >. removeSubNode (data: K ): Pair < SortedMapLikeBinaryTreeNode < K , V >, SortedMapLikeBinaryTreeNode < K , V >>?(source)

Will remove (detach) node from tree starting with this

#### Return

If data were found, Pair where Pair.first is the parent node where from Pair.second has been detached; null otherwise